Obter assistentes de saída
curl --request GET \
--url https://app.mayahub.ai/api/user/assistants/outbound \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mayahub.ai/api/user/assistants/outbound"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mayahub.ai/api/user/assistants/outbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_id": 1,
"name": "Sales Outbound Assistant",
"type": "outbound",
"mode": "pipeline",
"status": "active",
"voice_id": 8,
"language_id": 1,
"timezone": "America/New_York",
"initial_message": "Hi, this is Sarah from Your Company. I hope I'm catching you at a good time. How are you doing today?",
"system_prompt": "You are a sales representative for Your Company. Be professional, friendly, and focus on qualifying leads.",
"variables": {
"company_name": "Your Company",
"product_line": "Premium Services"
},
"webhook_url": "https://app.mayahub.ai/api/webhooks/outbound-calls",
"is_webhook_active": true,
"created_at": "2025-07-15T14:32:15.000000Z",
"updated_at": "2025-08-02T09:18:42.000000Z"
},
{
"id": 124,
"user_id": 1,
"name": "Follow-up Assistant",
"type": "outbound",
"mode": "multimodal",
"status": "inactive",
"voice_id": 12,
"language_id": 1,
"timezone": "America/Los_Angeles",
"initial_message": "Hello! I'm calling to follow up on our previous conversation. Do you have a few minutes to chat?",
"system_prompt": "You are a follow-up specialist. Be warm and professional while gathering feedback and next steps.",
"variables": {
"purpose": "follow_up",
"max_duration": "5_minutes"
},
"webhook_url": null,
"is_webhook_active": false,
"created_at": "2025-07-20T10:15:30.000000Z",
"updated_at": "2025-07-25T16:45:22.000000Z"
}
]
Assistentes
Obter assistentes de saída
Recuperar todos os assistentes de saída do usuário autenticado
GET
/
user
/
assistants
/
outbound
Obter assistentes de saída
Este endpoint retorna uma lista de todos os assistentes de saída pertencentes ao usuário autenticado.
Os assistentes de saída são usados para realizar ligações para leads e prospects.
Os assistentes de saída são usados para realizar ligações para leads e prospects.
Campos de resposta
array
Show Propriedades
Show Propriedades
integer
O identificador único do assistente
integer
O ID do usuário que possui este assistente
string
O nome do assistente
string
O tipo de assistente (sempre será “outbound” para este endpoint)
string
O modo do motor (pipeline ou multimodal)
string
O status atual do assistente
integer
O ID da voz utilizada pelo assistente
integer
O ID do idioma utilizado pelo assistente
string
A configuração de fuso horário do assistente
string
A mensagem inicial que o assistente irá falar
string
O prompt do sistema que define o comportamento do assistente
object
Variáveis personalizadas definidas para o assistente
string
A URL do webhook para notificações após a chamada
boolean
Se as notificações do webhook estão habilitadas
string
A data e hora em que o assistente foi criado
string
A data e hora da última atualização do assistente
[
{
"id": 123,
"user_id": 1,
"name": "Sales Outbound Assistant",
"type": "outbound",
"mode": "pipeline",
"status": "active",
"voice_id": 8,
"language_id": 1,
"timezone": "America/New_York",
"initial_message": "Hi, this is Sarah from Your Company. I hope I'm catching you at a good time. How are you doing today?",
"system_prompt": "You are a sales representative for Your Company. Be professional, friendly, and focus on qualifying leads.",
"variables": {
"company_name": "Your Company",
"product_line": "Premium Services"
},
"webhook_url": "https://app.mayahub.ai/api/webhooks/outbound-calls",
"is_webhook_active": true,
"created_at": "2025-07-15T14:32:15.000000Z",
"updated_at": "2025-08-02T09:18:42.000000Z"
},
{
"id": 124,
"user_id": 1,
"name": "Follow-up Assistant",
"type": "outbound",
"mode": "multimodal",
"status": "inactive",
"voice_id": 12,
"language_id": 1,
"timezone": "America/Los_Angeles",
"initial_message": "Hello! I'm calling to follow up on our previous conversation. Do you have a few minutes to chat?",
"system_prompt": "You are a follow-up specialist. Be warm and professional while gathering feedback and next steps.",
"variables": {
"purpose": "follow_up",
"max_duration": "5_minutes"
},
"webhook_url": null,
"is_webhook_active": false,
"created_at": "2025-07-20T10:15:30.000000Z",
"updated_at": "2025-07-25T16:45:22.000000Z"
}
]
Observações
- Este endpoint retorna apenas assistentes com o tipo “outbound”.
- Todos os assistentes pertencentes ao usuário autenticado são retornados (sem paginação).
- Utilize esses assistentes com o endpoint de realização de chamadas para iniciar chamadas de saída.
- Assistentes de saída podem ser usados para chamadas de vendas, follow-ups, pesquisas e outros cenários de chamadas proativas.
⌘I

